﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 0;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (1, 1, 1, 0.999);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,false,0x000000)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(0,stage.stageHeight-100);
			var mX:Number = stage.stageWidth/2-mouseX
			var color:Number = Math.random()*0xff100;
			for(var i:Number=0;i<stage.stageWidth;i++){
				var posy:Number = Math.sin((i+angle/45)*Math.PI/90)*Math.cos(i*Math.PI/10)*(stage.stageWidth/3-i)*(mX/75);
				support.graphics.lineStyle(1,0xff0080);
				support.graphics.lineTo(i*1.5,stage.stageHeight+posy);
			}
			angle+=90;
			image.colorTransform (image.rect, c_trs);
			image.scroll (2, -2);
			image.draw(support);
		}
	}
}